<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="container-fluid min-vh-100 mt-5">
    <div class="row mb-5" *ngFor="let vacancy of vacancies.reverse();">
      <div class="col">
        <div class="card h-100">
          <div class="card-body">
            <h5 class="card-title">{{vacancy.title}}</h5>
            <hr>
            <div class="row">
              <p class="col card-text">
                <i class="fa fa-user-o" aria-hidden="true"></i> {{vacancy.created_by}}
              </p>
              <p class="col text-right">
                <i class="fa fa-clock-o" aria-hidden="true"></i>  {{vacancy.created_at | date}}
              </p>
            </div>
            <angular-editor [outerHTML]="vacancy.content.slice(0, 500)" class="card-text"
                            [config]="editorConfig"></angular-editor>
          </div>
          <div *ngIf="user && user.role == 'admin';then one else two"></div>
          <ng-template #one>
            <div class="btn-group" role="group">
              <a class="btn btn-primary btn-sm" (click)="openEditModal(editModal, vacancy)">Edit</a>
              <a class="btn btn-danger btn-sm" (click)="openDeleteModal(deleteModal, vacancy)">Delete</a>
            </div>
          </ng-template>
          <ng-template #two>
            <a class="btn btn-outline-dark btn-sm" (click)="openEditModal(viewModal, vacancy)">Read more
              <i class="fa fa-arrow-right" aria-hidden="true"></i></a>
          </ng-template>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-auto" *ngIf="user && user.role == 'admin'">
        <button type="button" class="btn btn-success" (click)="modalService.open(addModal, {size: 'lg'})">
          <i class="fa fa-align-center fa-plus" aria-hidden="true"></i>
          Add new
        </button>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>


<!--Add modal-->
<ng-template #addModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Add vacancy</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="addVacancyForm" (ngSubmit)="onSubmitAdd()">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_1">Title</label>
        <input class="form-control" id="title_1" formControlName="title">
      </div>
      <div class="form-group">
        <label for="content_1">Content</label>
        <angular-editor id="content_1" formControlName="content" [config]="editorConfig2"></angular-editor>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </form>
</ng-template>


<!--Edit modal-->
<ng-template #editModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Edit vacancy</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="editVacancyForm" (ngSubmit)="onSubmitEdit()">
    <div class="modal-body">
      <div class="form-group">
        <label for="title_2">Title</label>
        <input class="form-control" id="title_2" formControlName="title">
      </div>
      <div class="form-group">
        <label for="content_2">Content</label>
        <angular-editor id="content_2" formControlName="content" [config]="editorConfig2"></angular-editor>
      </div>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Save changes</button>
    </div>
  </form>
</ng-template>


<!--Delete modal-->
<ng-template #deleteModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Delete vacancy</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <form [formGroup]="deleteVacancyForm" (ngSubmit)="onSubmitDelete()">
    <div class="modal-body">
      <p>Are you sure you want to delete:</p>
      <input class=form-control-plaintext formControlName="title" readonly>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-danger">Delete</button>
    </div>
  </form>
</ng-template>


<!--View modal-->
<ng-template #viewModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">{{editVacancyForm.controls['title'].value}}</h5>
    <button type="button" class="close" (click)="modal.close()" aria-label="Close"><span
      aria-hidden="true">&times;</span></button>
  </div>
  <div class="modal-body">
    <div class="form-group">
      <div class="row">
        <div class="col">
          <i class="fa fa-user-o" aria-hidden="true"></i> {{editVacancyForm.controls['created_by'].value}}
        </div>
        <div class="col text-right">
          <i class="fa fa-clock-o" aria-hidden="true"></i> {{editVacancyForm.controls['created_at'].value | date}}
        </div>
      </div>
    </div>
    <div class="form-group">
      <angular-editor class="card-text" [outerHTML]="editVacancyForm.controls['content'].value"
                      [config]="editorConfig"></angular-editor>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
  </div>
</ng-template>
